<?php
require_once '../../data/constant.php';

require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_test.php';
require_once '../../data/data_for_group.php';
require_once '../../util/for_analyze.php';
ini_set("session.save_handler","files");

session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
//
$admin_nam ="";
$admin_status ="";
$admin_id="";
$ses_list = $_SESSION[SESSION_ADMIN];
$err_msg = "";
$show_data = "";
$table_txt = "";

if ($ses_list['status'] == 0) {
	$admin_status =$ses_list['status'];
	$admin_id=$ses_list['teacher_id'];
	$admin_nam =$ses_list['teacher_nam'];
} else {
	$admin_status =$ses_list['status'];
	$admin_id=$ses_list['teacher_id'];
}

if (!isset($_GET["class_id"]) || !is_numeric($_GET["class_id"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$class_id = $_GET["class_id"];
$class_nam = "";

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {

	if ($ses_list['is_cube'] == 1) {
		if (!$data_object->setCharForCube()) {
			$err_msg .= $data_object->err_msg;
		}
	}

	$class_data_object = new CClassInfoTableAccess();
	$data = $class_data_object->getOneClass($data_object->conn, $class_id);
	if ($data == false) {
		$err_msg = "Class data was not found.";
	} else {

		if ($admin_status <>1) {
			$cl_te_obj = new CClassTeacherTableAccess();
			if (!$cl_te_obj->checkPermission($data_object->conn, $admin_id, $class_id)) {
				header("Content-Type: text/html; charset=EUC-JP");
				header(URL_SET."teacher/login.php");
				exit;
			}
		}
		/*
		if ($admin_status <>1 && $data["teacher_id"] <> $admin_id) {
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."teacher/login.php");
			exit;
		}
		*/
		$class_nam = htmlspecialchars(mb_convert_encoding($data['name'],'UTF-8', XOOPS_SRT_ENCODE),ENT_QUOTES);
	}

	if ($ses_list['is_cube'] == 1) {
		if (!$data_object->setCharForExam()) {
			$err_msg .= $data_object->err_msg;
		}
	}

	$moshi_list_obj = new CMoshiClassAnalysis();
	
	//2015/3/21
	
	if (isset($_GET["student_id"]) && isset($_GET["moshi_id"]) &&
		is_numeric($_GET["student_id"]) && is_numeric($_GET["moshi_id"])) {
	$perm_req_obj = new CMoshiPermReqTblAccess();
	if (isset($_GET["insert_flag"]) && $_GET["insert_flag"]==1) {
		$perm_req_obj->insertMoshiPermReq ($data_object->conn, $_GET["moshi_id"], $_GET["student_id"], $admin_id);
	} else if (isset($_GET["del_flag"]) && $_GET["del_flag"]==1) {
		$perm_req_obj->delMoshiPermReq ($data_object->conn, $_GET["moshi_id"], $_GET["student_id"], $admin_id);
	}
	}
	
	if (!$moshi_list_obj->main($data_object->conn, $class_id,$admin_id)) {
		$err_msg = $moshi_list_obj->getErrMsg();

	} else {

		$table_txt = $moshi_list_obj->getMoshiAnaList();
	}


	$data_object->closeDB();
}
$show_data = file_get_contents(TEMPLATE_DIR.'ad_class_reg/moshi_list.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':CLASS_NAM_REP:', $class_nam, $show_data);

$show_data = str_replace(':TBL_DATA:', $table_txt, $show_data);

echo $show_data;

?>